# Apache and PHP configuration for Tine 2.0
#

Alias /tine20                      /usr/share/tine20
Alias /Microsoft-Server-ActiveSync /usr/share/tine20/Microsoft-Server-ActiveSync

# some people prefer a simple URL like http://tine20.example.org
# in this case you also have to disable to Alias lines above
#<VirtualHost 1.2.3.4:80>
#  DocumentRoot /usr/share/tine20
#  ServerName   tine20.example.org
#</VirtualHost>

<Directory /usr/share/tine20>
    Order Allow,Deny
    Allow from all

    DirectoryIndex index.php

    Options +ExecCGI

    <IfModule mod_php5.c>
        php_admin_value max_input_time          120
        php_admin_value include_path            .:/usr/share/tine20:/usr/share/tine20/library:/etc/tine20
        php_admin_value open_basedir            /usr/share/tine20:/var/lib/tine20:/tmp:/usr/share/php:/etc/tine20:/var/log/tine20
        php_admin_value session.gc_maxlifetime  86400
        php_admin_value memory_limit            128M
        php_admin_value upload_max_filesize     20M
        php_admin_value post_max_size           20M
        
        php_admin_value safe_mode               off
        php_admin_flag  display_errors          off
        php_admin_flag  log_errors              on
        php_admin_flag  magic_quotes_gpc        off
        php_admin_flag  magic_quotes_runtime    off
        php_admin_flag  register_globals        off
        php_admin_flag  zlib.output_compression on
        
        php_value       max_execution_time      90
    </IfModule>
    
    <IfModule mod_rewrite.c>
        RewriteEngine on

        RewriteBase /tine20

        # ActiveSync
        RewriteRule ^Microsoft-Server-ActiveSync index.php?frontend=activesync         [E=REMOTE_USER:%{HTTP:Authorization},L,QSA]

        # OpenID
        RewriteRule ^users/(.*)                  index.php?frontend=openid&username=$1 [L,QSA]

        # WebDAV / CalDAV / CardDAV
        RewriteCond %{REQUEST_METHOD} !^(GET|POST)$
        RewriteRule ^$                           index.php?frontend=webdav             [E=REMOTE_USER:%{HTTP:Authorization},L,QSA]

        RewriteRule ^addressbooks                index.php?frontend=webdav             [E=REMOTE_USER:%{HTTP:Authorization},L,QSA]
        RewriteRule ^calendars                   index.php?frontend=webdav             [E=REMOTE_USER:%{HTTP:Authorization},L,QSA]
        RewriteRule ^webdav                      index.php?frontend=webdav             [E=REMOTE_USER:%{HTTP:Authorization},L,QSA]
        RewriteRule ^principals                  index.php?frontend=webdav             [E=REMOTE_USER:%{HTTP:Authorization},L,QSA]
    </IfModule>

    <IfModule mod_expires.c>
        ExpiresActive on

        ExpiresByType image/gif  "access plus 1 month 1 days"
        ExpiresByType image/jpeg "access plus 1 month 1 days"
        ExpiresByType image/png  "access plus 1 month 1 days"
    </IfModule>
    
    <IfModule mod_deflate.c>
        AddOutputFilterByType DEFLATE text/plain
        AddOutputFilterByType DEFLATE text/html
        AddOutputFilterByType DEFLATE text/css
        AddOutputFilterByType DEFLATE application/javascript

        <IfModule mod_headers.c>
            # properly handle requests coming from behind proxies
            Header append Vary User-Agent env=!dont-vary
        </IfModule>
    </IfModule>

</Directory>


